Show images on image description page previews
OpenPublic

Description

Author: rohieb

Description:
This would be useful especially when editing the image description, adding or correcting details which are visible on the picture. Furthermore, I don't understand, why the image isn't being displayed at all in the preview...


Version: 1.12.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz11243.
bzimport created this task.Via LegacySep 8 2007, 10:16 PM
Raymond added a comment.Via ConduitSep 12 2007, 6:37 PM

Done with r25819.

brion added a comment.Via ConduitSep 13 2007, 6:37 PM

Reverted in r25831.

This made the preview *less* like the actual page display than before. Image description pages don't have a right-floated gallery with a thumbnail of the image on them.

Grondin added a comment.Via ConduitJan 20 2008, 1:57 PM

This problem persists on mediawiki. See by example : http://fr.vikidia.org/index.php/Image:Vikidia_16px.gif

If you use [[Image:Vikidia 16px.gif|left]] or another parameters, mediawiki doesn't display it. It's a really problem.

brion added a comment.Via ConduitJan 21 2008, 8:54 AM

I don't understand how comment #3 relates to the bug as described.

Grondin added a comment.Via ConduitJan 21 2008, 9:26 AM

it's a mistake. See now bug #12719.

bzimport added a comment.Via ConduitJan 21 2008, 9:41 AM

rohieb wrote:

But I don't understand why the bug status has been set to RESOLVED? As far as I can see, the enhancement has not been implemented yet to MediaWiki.

Grondin added a comment.Via ConduitJan 21 2008, 9:43 AM

bug was fixed originally par Brion. I reopened this one one day ago. It was a mistake from me.

bzimport added a comment.Via ConduitJan 21 2008, 10:23 AM

rohieb wrote:

EditPage.php shows images when previewing image descriptions

Anyways, I tried to use the ImagePage::openShowImage function, don't know how good it works, but as I tested it, it looked as I expected.

Attached: EditPage.php.diff

bzimport added a comment.Via ConduitMar 14 2010, 9:12 AM

test5555 wrote:

Maybe this could be done by editing some interface message used on preview?

bzimport added a comment.Via ConduitMar 14 2010, 9:17 AM

test5555 wrote:

Maybe this could be done by editing some interface message.

bzimport added a comment.Via ConduitAug 29 2010, 6:06 PM

test5555 wrote:

The interface message seems to be "MediaWiki:Previewnote", e.g. [[w:MediaWiki:Previewnote]] or [[Commons:MediaWiki:Previewnote]]

Commons uses now uses

{{#ifeq:{{NAMESPACE}}|{{ns:6}}|[[File:{{PAGENAME}}|frameless|none]]}}

See http://commons.wikimedia.org/w/index.php?title=MediaWiki:Previewnote&action=edit

It's not great, but it works and it helps if one edits too many similar images at the same time.

Peachey88 added a comment.Via ConduitApr 30 2011, 12:09 AM

*Bulk BZ Change: +Patch to open bugs with patches attached that are missing the keyword*

bzimport added a comment.Via ConduitNov 10 2011, 6:59 AM

sumanah wrote:

Roland, thank you for your patch, and I'm sorry for the wait. Can you check whether the original bug is still reproducible? And, if so, can you produce your diff in unified diff format and attach it to this bug? Thanks.

bzimport added a comment.Via ConduitJun 23 2012, 7:50 AM

test5555 wrote:

There is some discussion about this at http://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&curid=751116&oldid=73109891#English-speaking_users.have_a_better_interface due to the fact that we have [[Commons:MediaWiki:Previewnote]] and [[Commons:MediaWiki:Previewnote/de]], but no [[Commons:MediaWiki:Previewnote/fr]] etc.

bzimport added a comment.Via ConduitJun 27 2012, 8:17 PM

saibotrash wrote:

Please insert it to the standard page preview (don't forget to make the image accessible via an id to enable users to manipulate it via css/JS) and insert a pre-checked checkbox into [[Special:Preferences#mw-prefsection-editing]] to provide an easy option to disable it per user if someone does not like it. Maybe also add a textbox there to specify a thumbnail size (like it exists for normal page thumbnails).

Bawolff added a comment.Via ConduitJun 29 2012, 11:57 AM

insert a
pre-checked checkbox into [[Special:Preferences#mw-prefsection-editing]] to
provide an easy option to disable it per user if someone does not like it.

Is there any reason why someone would not like such a thing? (prefs are evil and all)

Krinkle added a comment.Via ConduitJun 29 2012, 11:59 AM

Lets not make this silly thing a preference. Not showing the image is an incorrect preview, and commons has done it locally for years.

bzimport added a comment.Via ConduitJun 29 2012, 11:35 PM

saibotrash wrote:

(In reply to comment #17)

Lets not make this silly thing a preference. Not showing the image is an
incorrect preview, and commons has done it locally for years.

Not really. It is just in English interface for years. And for some months in German. Not in other langs.

Why I say pref? Because hiding via gadgets is unintuitive and causes page jumping (in case of JS). Also gadgets do not help smaller wikis - they cannot maintain / program them. Are prefs bad somehow?

bzimport added a comment.Via ConduitJun 29 2012, 11:39 PM

saibotrash wrote:

(In reply to comment #16)

Is there any reason why someone would not like such a thing? (prefs are evil
and all)

There is: it is just not needed if you just want to edit the text. It consumes vertical space which forces you to scroll to see the stuff which you did want to see (since you've edited it!). Yes, the image is useful, if you were editing the description and want to have a quick look at the image again (was the dog on the left or right side?). Currently I see it - but I think I would rather have it not shown by default (maybe just css hidden and shown by a click on a small link/button at its place.

bzimport added a comment.Via ConduitJun 30 2012, 12:43 AM

saibotrash wrote:

I am trying out that currently (only problem is that the show/hide trigger is also shown before a preview is done):

Krinkle added a comment.Via ConduitJun 30 2012, 3:44 AM

(In reply to comment #18)

(In reply to comment #17)
> Lets not make this silly thing a preference. Not showing the image is an
> incorrect preview, and commons has done it locally for years.

Not really. It is just in English interface for years. And for some months in
German. Not in other langs.

So, commons has done it locally for years. Which languages it included is another, it was highly visible for many users.

Why I say pref? Because hiding via gadgets is unintuitive and causes page
jumping (in case of JS). Also gadgets do not help smaller wikis - they cannot
maintain / program them. Are prefs bad somehow?

When coming down to pref vs. gadget, then this should be a pref. The main point is, this should not be a pref. Nobody should even want to care about this, and I am sure that if nobody points it out, nobody will notice. Its just part of the interface. Hiding every single thing that some users may not need at some points in time through a preference is crazy.

That's not to say it can't be discussed. Feel free to provide rational reasons why it should not be displayed (ideally reasons that real users have expressed on Commons that didn't want the image in the preview).

bzimport added a comment.Via ConduitJun 30 2012, 11:27 PM

saibotrash wrote:

(In reply to comment #21)

The main point is, this should not be a pref.

Sorry, I will not follow that anymore if I get no real answer. Do it or do it not somehow and make MediaWiki not better, if you want to.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:20 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.